Bug 23253 - OpacNavRight does not display correctly for opacuserlogin disabled or self registration
Summary: OpacNavRight does not display correctly for opacuserlogin disabled or self re...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 22318
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-02 13:47 UTC by Nick Clemens
Modified: 2019-08-28 14:53 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23253: (bug 22318 follow-up) Fix OpacNavRight even if opacuserlogin is off (1.74 KB, patch)
2019-08-05 14:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23253: Fix OpacNavRight for self reg by email (4.42 KB, patch)
2019-08-05 14:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23253: (bug 22318 follow-up) Fix OpacNavRight even if opacuserlogin is off (1.80 KB, patch)
2019-08-06 17:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23253: Fix OpacNavRight for self reg by email (4.47 KB, patch)
2019-08-06 17:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23253: (bug 22318 follow-up) Fix OpacNavRight even if opacuserlogin is off (1.85 KB, patch)
2019-08-14 17:13 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23253: Fix OpacNavRight for self reg by email (4.50 KB, patch)
2019-08-14 17:13 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23253: (bug 22318 follow-up) Fix OpacNavRight even if opacuserlogin is off (1.90 KB, patch)
2019-08-15 06:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23253: Fix OpacNavRight for self reg by email (4.58 KB, patch)
2019-08-15 06:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-07-02 13:47:15 UTC
Bug 22318 moved the content of OpacNavRight to a 'news' item to aid in translatability.

C4/Auth.pm still looks for the OpacNavRight system preference to determine if there is content

opac-main.tt checks the value form C4/Auth.pm to set the correct spans

To recreate:
1 - Add a news items with location 'OpacNavRight'
2 - View the catalog, it should show correctly
3 - Disable opacuserlogin
4 - The news item no longer appears
5 - git grep OpacNavRight
6 - Note occurrences of reference to the system preference
Comment 1 Jonathan Druart 2019-08-05 14:07:20 UTC
Created attachment 91996 [details] [review]
Bug 23253: (bug 22318 follow-up) Fix OpacNavRight even if opacuserlogin is off

There are other occurrences of OpavNavRight that bug 22318 forgot to
adjust to use the news system instead of the syspref.

Test plan:
- turn off opacuserlogin
- create a news for OpacNavRight
- go to the opac main page
=> Confirm that the OpacNavRight content is displayed correctly.
Comment 2 Jonathan Druart 2019-08-05 14:07:25 UTC
Created attachment 91997 [details] [review]
Bug 23253: Fix OpacNavRight for self reg by email

The code expects to display OpacNavRight content at the bottom of the
login form when a user just registered.

Test plan:
- Turn PatronSelfRegistrationVerifyByEmail on
- Register a patron
- Confirm by clicking on the link you received by email (or see the
message_queue table)
=> The OpacNavRight content should be displayed

QA Note: This code smells, the code in the pl should not be needed.
Comment 3 Owen Leonard 2019-08-06 17:04:44 UTC
Created attachment 92034 [details] [review]
Bug 23253: (bug 22318 follow-up) Fix OpacNavRight even if opacuserlogin is off

There are other occurrences of OpavNavRight that bug 22318 forgot to
adjust to use the news system instead of the syspref.

Test plan:
- turn off opacuserlogin
- create a news for OpacNavRight
- go to the opac main page
=> Confirm that the OpacNavRight content is displayed correctly.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Owen Leonard 2019-08-06 17:04:48 UTC
Created attachment 92035 [details] [review]
Bug 23253: Fix OpacNavRight for self reg by email

The code expects to display OpacNavRight content at the bottom of the
login form when a user just registered.

Test plan:
- Turn PatronSelfRegistrationVerifyByEmail on
- Register a patron
- Confirm by clicking on the link you received by email (or see the
message_queue table)
=> The OpacNavRight content should be displayed

QA Note: This code smells, the code in the pl should not be needed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Tomás Cohen Arazi 2019-08-14 17:13:28 UTC
Created attachment 92194 [details] [review]
Bug 23253: (bug 22318 follow-up) Fix OpacNavRight even if opacuserlogin is off

There are other occurrences of OpavNavRight that bug 22318 forgot to
adjust to use the news system instead of the syspref.

Test plan:
- turn off opacuserlogin
- create a news for OpacNavRight
- go to the opac main page
=> Confirm that the OpacNavRight content is displayed correctly.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Tomás Cohen Arazi 2019-08-14 17:13:32 UTC
Created attachment 92195 [details] [review]
Bug 23253: Fix OpacNavRight for self reg by email

The code expects to display OpacNavRight content at the bottom of the
login form when a user just registered.

Test plan:
- Turn PatronSelfRegistrationVerifyByEmail on
- Register a patron
- Confirm by clicking on the link you received by email (or see the
message_queue table)
=> The OpacNavRight content should be displayed

QA Note: This code smells, the code in the pl should not be needed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Katrin Fischer 2019-08-15 06:10:16 UTC
I actually think the follow-up would have made a separate bug ;)
Comment 8 Katrin Fischer 2019-08-15 06:11:58 UTC
Created attachment 92210 [details] [review]
Bug 23253: (bug 22318 follow-up) Fix OpacNavRight even if opacuserlogin is off

There are other occurrences of OpavNavRight that bug 22318 forgot to
adjust to use the news system instead of the syspref.

Test plan:
- turn off opacuserlogin
- create a news for OpacNavRight
- go to the opac main page
=> Confirm that the OpacNavRight content is displayed correctly.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-08-15 06:12:02 UTC
Created attachment 92211 [details] [review]
Bug 23253: Fix OpacNavRight for self reg by email

The code expects to display OpacNavRight content at the bottom of the
login form when a user just registered.

Test plan:
- Turn PatronSelfRegistrationVerifyByEmail on
- Register a patron
- Confirm by clicking on the link you received by email (or see the
message_queue table)
=> The OpacNavRight content should be displayed

QA Note: This code smells, the code in the pl should not be needed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Martin Renvoize 2019-08-15 08:23:56 UTC
Nice work!

Pushed to master for 19.11.00
Comment 11 Fridolin SOMERS 2019-08-28 13:25:14 UTC
Pushed to 19.05.x for 19.05.03
Comment 12 Lucas Gass 2019-08-28 14:53:13 UTC
no backported needed for 18.11.x, missing dependency.